//
//  SelectionButton.swift
//  SampleApp
//
//  Created by Nishan on 25/8/2566 BE.
//  Copyright © 2566 BE David Zhang. All rights reserved.
//

import SwiftUI

struct SelectionButton: View {
    
    let title: String
    @Binding var selection: String
    var action: (() -> Void)?
    
    var body: some View {
        VStack(spacing: 6) {
            Text(title)
                .font(.caption)
                .foregroundColor(Color(uiColor: .secondaryLabel))
            
            Button {
                action?()
            } label: {
                HStack {
                    Text(selection)
                        .font(.caption)
                        .fontWeight(.medium)
                        .padding(.vertical, 6)
                        .foregroundColor(Color(uiColor: .label))
                    
                    Image(systemName: "chevron.down")
                        .resizable()
                        .scaledToFit()
                        .frame(width: 10, height: 10)
                        .foregroundColor(.black)
                }
                .frame(maxWidth: 160)
            }
            .background(Color(uiColor: .systemGroupedBackground))
            .cornerRadius(8)
        }
    }
}

struct SelectionButton_Previews: PreviewProvider {
    static var previews: some View {
        SelectionButton(title: "Test Button", selection: .constant("Value"))
    }
}
